var path = require('path');
var webpack = require('webpack');
var compress = process.env.COMPRESS === 'true';
module.exports = {
  entry: './index.js',
  devtool: 'source-map',
  output: {
  	libraryTarget: "var",
  	library: 'Antlr',
    filename: compress ? 'antlr4.min.js' : 'antlr4.js',
    path: path.resolve(__dirname, 'dist')
  },
  node: {
  	fs: 'empty'
  },
  plugins: compress ? [
  	new webpack.optimize.UglifyJsPlugin({
  		sourceMap: true
  	})
  ] : []
};
